Page MenuHomePhabricator

SRE FY2019 Q3 goal: Ramp-up serving traffic to PHP 7
Closed, ResolvedPublic

Description

  • Set up a beta feature to allow users to test PHP 7 T213934

[x ] Assist the performance team in the setup of a sampling/profiling pipeline

  • Set up curl connection pooling mechanism T210717
  • Optimize deployments for PHP7
    • Allow scap to invalidate the opcode cache T211964
    • [stretch] Allow fetching the database configuration from etcd instead of files in order to reduce the cache resets T197126
  • Set up A/B testing mechanism for PHP7, ramp up traffic to 20% of users

Event Timeline

Joe created this task.Jan 3 2019, 6:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2019, 6:59 AM
jijiki added a subscriber: jijiki.Jan 3 2019, 7:57 AM
Dzahn added a subscriber: Dzahn.Jan 3 2019, 5:02 PM
herron triaged this task as Medium priority.Jan 3 2019, 8:22 PM
Joe updated the task description. (Show Details)Mar 4 2019, 9:45 AM
Joe updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-03-25T12:08:41Z] <oblivian@deploy1001> Synchronized wmf-config/CommonSettings.php: Move 0.1% of anonymous users to php7 T212828 (duration: 00m 49s)

jijiki moved this task from Backlog to Goal tasks on the serviceops board.Jul 3 2019, 12:46 PM

Should we resolve this?

Joe closed this task as Resolved.Wed, Nov 20, 6:54 AM
Joe updated the task description. (Show Details)